Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.dns
Class DnsEntryAddress

    java.lang.Object
      de.knipp.rritoolkit.dns.DnsEntry
          de.knipp.rritoolkit.dns.DnsEntryAddress

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  DnsEntryA, DnsEntryAAAA

    public abstract class DnsEntryAddress

extends DnsEntry

base class for A or AAAA records in the domain.

Version:
  $Revision: 15115 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `ipAddress` the IP address

Constructor Summary
`protected` | `DnsEntryAddress(org.w3c.dom.Element el)` constructor
`protected` | `DnsEntryAddress(java.lang.String owner, java.lang.String address)` constructor

Method Summary
`static DnsEntryAddress` | `createAddressEntry(java.lang.String owner, java.lang.String address)` create either an A or an AAAA record, depending on the given address
`java.lang.String` | `getAddress()` return the IP address
`protected abstract java.lang.String` | `getElementName()` return the (local) element name
`protected abstract java.lang.String` | `getRecordName()` return the record name
`void` | `toList(KVList list)` convert the instance to an entry in the given list
`java.lang.String` | `toString()` create a string representation (for debugging purposes)
`void` | `toXml(org.w3c.dom.Node node, java.lang.String encodedDomainName)` convert the instance to XML

Methods inherited from class de.knipp.rritoolkit.dns.DnsEntry
`accept, allFromList, clone, fromXml, getOwner, isIPv6, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ipAddress

    private java.lang.String ipAddress

  the IP address

Constructor Detail

### DnsEntryAddress

    protected DnsEntryAddress(java.lang.String owner,
                              java.lang.String address)

  constructor

  Parameters:
    `owner` - the owner
    `address` - the address

### DnsEntryAddress

    protected DnsEntryAddress(org.w3c.dom.Element el)
                       throws org.w3c.dom.DOMException,
                              ResponseParseException

  constructor

  Parameters:
    `el` - the element
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `ResponseParseException` - on wrong content

Method Detail

### toList

    public void toList(KVList list)
                throws EncodeException

  convert the instance to an entry in the given list

  Specified by:
    `toList` in class `DnsEntry`
  Parameters:
    `list` - the list
  Throws:
    `EncodeException` - if the encoding fails

### toXml

    public void toXml(org.w3c.dom.Node node,
                      java.lang.String encodedDomainName)
               throws org.w3c.dom.DOMException,
                      EncodeException

  convert the instance to XML

  Specified by:
    `toXml` in class `DnsEntry`
  Parameters:
    `node` - the node to append to
    `encodedDomainName` - the encoded domain name from the domain info data
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails

### toString

    public java.lang.String toString()

  create a string representation (for debugging purposes)

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

### getRecordName

    protected abstract java.lang.String getRecordName()

  return the record name

  Returns:
    the record name

### getElementName

    protected abstract java.lang.String getElementName()

  return the (local) element name

  Returns:
    the element name

### createAddressEntry

    public static DnsEntryAddress createAddressEntry(java.lang.String owner,
                                                     java.lang.String address)

  create either an A or an AAAA record, depending on the given address

  Parameters:
    `owner` - the owner
    `address` - the address
  Returns:
    the created address entry

### getAddress

    public java.lang.String getAddress()

  return the IP address

  Returns:
    the IP address

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH